# Report Settings

## Get Report Settings

> Retrieve the report settings for the terminal's last closed batch.

```json
{"openapi":"3.0.1","info":{"title":"Gateway Settings API","version":"2.0"},"paths":{"/rest/v2/settings/terminal/report":{"get":{"tags":["Report Settings"],"summary":"Get Report Settings","description":"Retrieve the report settings for the terminal's last closed batch.","operationId":"getReportSettings","parameters":[{"name":"type","in":"query","description":"The type of report settings. Available value is LAST_CLOSED_BATCH.","required":false,"schema":{"type":"string","enum":["LAST_CLOSED_BATCH"]}},{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportSettingsPayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ReportSettingsPayload"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}}}}}},"components":{"schemas":{"ReportSettingsPayload":{"type":"object","properties":{"report-settings":{"$ref":"#/components/schemas/report-settings"},"payloadType":{"type":"string","description":"Indicates the type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"payload","xml":{"name":"payload"}},"report-settings":{"required":["enabled","report-time","type"],"type":"object","properties":{"report-time":{"type":"string","description":"Time of day when the report should be generated and sent in the HH:mm:ss format"},"enabled":{"type":"boolean","description":"Indicates whether the report setting is active.","enum":[true,false]},"type":{"type":"string","description":"Type of report to be generated.","enum":["LAST_CLOSED_BATCH","LAST_CLOSED_BATCH"]},"emails":{"$ref":"#/components/schemas/emails"}},"description":"report settings","xml":{"name":"report-settings"}},"emails":{"type":"object","properties":{"email":{"type":"array","description":"Array of email objects.","items":{"$ref":"#/components/schemas/address"}}},"description":"Contains a list of email addresses to receive the report.","xml":{"name":"emails"}},"address":{"required":["address"],"type":"object","properties":{"address":{"type":"string","description":"Email address to which the report will be sent."}},"description":"Array of email objects.","xml":{"name":"address"}},"ErrorPayloadResponsePayload":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/ErrorPayload"},"payloadType":{"type":"string","description":"Type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"ErrorPayload":{"type":"object","properties":{"error-message":{"type":"string","description":"Describes the reason for the error."},"result-code":{"type":"string","description":"Numeric code that identifies the type of error returned by the request."},"time-stamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}},"xml":{"name":"error"}}}}}
```

## POST /rest/v2/settings/terminal/report

> Create Report Settings

```json
{"openapi":"3.0.1","info":{"title":"Gateway Settings API","version":"2.0"},"paths":{"/rest/v2/settings/terminal/report":{"post":{"tags":["Report Settings"],"summary":"Create Report Settings","operationId":"createReportSettings","parameters":[{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/report-settings"}}},"required":true},"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportSettingsPayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ReportSettingsPayload"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}}}}}},"components":{"schemas":{"report-settings":{"required":["enabled","report-time","type"],"type":"object","properties":{"report-time":{"type":"string","description":"Time of day when the report should be generated and sent in the HH:mm:ss format"},"enabled":{"type":"boolean","description":"Indicates whether the report setting is active.","enum":[true,false]},"type":{"type":"string","description":"Type of report to be generated.","enum":["LAST_CLOSED_BATCH","LAST_CLOSED_BATCH"]},"emails":{"$ref":"#/components/schemas/emails"}},"description":"report settings","xml":{"name":"report-settings"}},"emails":{"type":"object","properties":{"email":{"type":"array","description":"Array of email objects.","items":{"$ref":"#/components/schemas/address"}}},"description":"Contains a list of email addresses to receive the report.","xml":{"name":"emails"}},"address":{"required":["address"],"type":"object","properties":{"address":{"type":"string","description":"Email address to which the report will be sent."}},"description":"Array of email objects.","xml":{"name":"address"}},"ReportSettingsPayload":{"type":"object","properties":{"report-settings":{"$ref":"#/components/schemas/report-settings"},"payloadType":{"type":"string","description":"Indicates the type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"payload","xml":{"name":"payload"}},"ErrorPayloadResponsePayload":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/ErrorPayload"},"payloadType":{"type":"string","description":"Type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"ErrorPayload":{"type":"object","properties":{"error-message":{"type":"string","description":"Describes the reason for the error."},"result-code":{"type":"string","description":"Numeric code that identifies the type of error returned by the request."},"time-stamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}},"xml":{"name":"error"}}}}}
```

## PUT /rest/v2/settings/terminal/report

> Update Report Settings

```json
{"openapi":"3.0.1","info":{"title":"Gateway Settings API","version":"2.0"},"paths":{"/rest/v2/settings/terminal/report":{"put":{"tags":["Report Settings"],"summary":"Update Report Settings","operationId":"updateReportSettings","parameters":[{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/report-settings"}}},"required":true},"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportSettingsPayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ReportSettingsPayload"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}}}}}},"components":{"schemas":{"report-settings":{"required":["enabled","report-time","type"],"type":"object","properties":{"report-time":{"type":"string","description":"Time of day when the report should be generated and sent in the HH:mm:ss format"},"enabled":{"type":"boolean","description":"Indicates whether the report setting is active.","enum":[true,false]},"type":{"type":"string","description":"Type of report to be generated.","enum":["LAST_CLOSED_BATCH","LAST_CLOSED_BATCH"]},"emails":{"$ref":"#/components/schemas/emails"}},"description":"report settings","xml":{"name":"report-settings"}},"emails":{"type":"object","properties":{"email":{"type":"array","description":"Array of email objects.","items":{"$ref":"#/components/schemas/address"}}},"description":"Contains a list of email addresses to receive the report.","xml":{"name":"emails"}},"address":{"required":["address"],"type":"object","properties":{"address":{"type":"string","description":"Email address to which the report will be sent."}},"description":"Array of email objects.","xml":{"name":"address"}},"ReportSettingsPayload":{"type":"object","properties":{"report-settings":{"$ref":"#/components/schemas/report-settings"},"payloadType":{"type":"string","description":"Indicates the type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"payload","xml":{"name":"payload"}},"ErrorPayloadResponsePayload":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/ErrorPayload"},"payloadType":{"type":"string","description":"Type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"ErrorPayload":{"type":"object","properties":{"error-message":{"type":"string","description":"Describes the reason for the error."},"result-code":{"type":"string","description":"Numeric code that identifies the type of error returned by the request."},"time-stamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}},"xml":{"name":"error"}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xplorpay.com/api-reference/api/payments/gateway-settings/report-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
